# List read

`GET /List/{id}`

This resource contains an ordered collection of clinical resources. Typically, this is a list that a practitioner could attest to and is a more curated clinical guide than a list of results from a search query. `List` is available for FHIR passthrough cases.   

You can review or retrieve clinical lists.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `List` resource with an ordered collection of clinical resources.

We support this interaction for completeness; the `read` operation may be more useful to you. However, you could use a `read` interaction after identifying a specific `List` resource to review from a `search` response.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | List identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/List/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The List

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: List |
| `status` | string | Yes | Indicates the current state of this list. Possible values: current, retired, entered-in-error |
| `mode` | string | Yes | How this list was prepared - whether it is a working list that is suitable for being maintained on an ongoing basis, or if it represents a snapshot of a list of items from another source, or whether it is a prepared list where items may be marked as added, modified or deleted. Possible values: working, snapshot, changes |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (String).valueString` | string | No | A single value for the extension. |
| `extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier` | Array of object | No | Identifier for the List assigned for business purposes outside the context of FHIR. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `title` | string | No | A label for the list assigned by the author. |
| `code` | object | No | This code defines the purpose of the list - why it was created. |
| `code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `subject` | object | No | The common subject (or patient) of the resources that are in the list if there is one. Must reference one of the following types of resources: - `Patient` - `Group` - `Device` - `Location` |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `encounter` | object | No | The encounter that is the context in which this list was created. Must be a resource of type `Encounter`. |
| `encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `date` | string | No | The date that the list was prepared. |
| `source` | object | No | The entity responsible for deciding what the contents of the list were. Where the list was created by a human, this is the same as the author of the list. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `Patient` - `Device` |
| `source.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `orderedBy` | object | No | What order applies to the items in the list. |
| `orderedBy.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `orderedBy.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `orderedBy.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `orderedBy.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry` | Array of object | No | Entries in this list. |
| `entry[].item` | object | Yes | A reference to the actual resource from which data was derived. Must be a resource of type `Resource`. |
| `entry[].item.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[].flag` | object | No | The flag allows the system constructing the list to indicate the role and significance of the item in the list. |
| `entry[].flag.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[].flag.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[].flag.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[].flag.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[].deleted` | boolean | No | True if this item is marked as deleted in the list. |
| `entry[].date` | string | No | When this item was added to the list. |
| `emptyReason` | object | No | If the list is empty, why the list is empty. |
| `emptyReason.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `emptyReason.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `emptyReason.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `emptyReason.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |

#### Current Allergy List

```json
{
  "resourceType": "List",
  "id": "current-allergies-list",
  "extension": [
    {
      "url": "http://hl7.org/fhir/StructureDefinition/list-for",
      "valueReference": {
        "reference": "Patient/RedoxPatientExampleTimothy",
        "display": "Timothy Bixby"
      }
    }
  ],
  "status": "current",
  "mode": "working",
  "title": "Current Allergy List",
  "code": {
    "coding": [
      {
        "code": "52472-8",
        "system": "http://loinc.org",
        "display": "Allergies and Adverse Drug Reactions"
      }
    ],
    "text": "Current Allergy List"
  },
  "date": "2015-07-14T23:10:23+11:00",
  "source": {
    "reference": "Patient/RedoxPatientExampleTimothy",
    "display": "Timothy Bixby"
  },
  "orderedBy": {
    "coding": [
      {
        "code": "entry-date",
        "system": "http://terminology.hl7.org/CodeSystem/list-order"
      }
    ]
  },
  "entry": [
    {
      "item": {
        "reference": "AllergyIntolerance/AllergyExample"
      }
    },
    {
      "item": {
        "reference": "AllergyIntolerance/AllergyExampleSulfonamide"
      }
    }
  ]
}
```

#### Empty List

```json
{
  "resourceType": "List",
  "id": "empty-list",
  "identifier": [
    {
      "use": "usual",
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "1234142"
    }
  ],
  "status": "current",
  "mode": "working",
  "code": {
    "text": "Care Plans",
    "coding": [
      {
        "code": "plans",
        "system": "http://terminology.hl7.org/CodeSystem/list-example-use-codes",
        "display": "Care Plans"
      }
    ]
  },
  "date": "2025-01-23T19:06:20Z",
  "emptyReason": {
    "coding": [
      {
        "code": "notstarted",
        "system": "http://terminology.hl7.org/CodeSystem/list-empty-reason",
        "display": "Not Started"
      }
    ]
  }
}
```

#### Patient List

```json
{
  "resourceType": "List",
  "id": "patient-list",
  "identifier": [
    {
      "use": "usual",
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "1238141"
    }
  ],
  "entry": [
    {
      "item": {
        "reference": "Patient/RedoxPatientExampleTimothy",
        "display": "Timothy Bixby"
      }
    },
    {
      "item": {
        "reference": "Patient/RedoxPatientExampleBarbara",
        "display": "Barbara Bixby"
      }
    },
    {
      "item": {
        "reference": "Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7",
        "display": "Keva Green"
      }
    }
  ],
  "orderedBy": {
    "coding": [
      {
        "code": "priority",
        "system": "http://terminology.hl7.org/CodeSystem/list-order",
        "display": "Priority"
      }
    ]
  },
  "status": "current",
  "mode": "working",
  "code": {
    "text": "Worklist (Patients)",
    "coding": [
      {
        "code": "worklist",
        "system": "http://terminology.hl7.org/CodeSystem/list-example-use-codes",
        "display": "Worklist (Patients)"
      }
    ]
  },
  "date": "2025-01-23T19:06:20Z"
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
